#if !defined(AFX_PREFERENCESDLG_H__E42A9827_1C70_4C4D_A234_4645C7FC5464__INCLUDED_)
#define AFX_PREFERENCESDLG_H__E42A9827_1C70_4C4D_A234_4645C7FC5464__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PreferencesDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPreferencesDlg dialog

#include "GridCtrl_src/GridCtrl.h"

class CPreferencesDlg : public CDialog
{
// Construction
public:
	double m_TimeWarp;
	CPreferencesDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPreferencesDlg)
	enum { IDD = IDD_PREFERENCES };
	double		m_Scale;
	double		m_LaneWidth;
	double		m_VehicleWidth;
	double		m_VehicleLengthScale;
	double		m_TickLength;
	double		m_TickStep;
	double		m_Border_Top;
	double		m_Border_Btm;
	double		m_Border_Lhs;
	double		m_Border_Rhs;
	//}}AFX_DATA
	CGridCtrl m_Grid;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPreferencesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPreferencesDlg)
	//virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_nFixCols;
	int m_nFixRows;
	CStringArray m_sRowHeads;
	CStringArray m_sColHeads;
	int m_nCols;
	int m_nRows;

	BOOL OnInitDialog();
	void SetGridHeadings();
	void SetCells();
	void LoadSettingsIntoGrid();
	void OnGridEndEdit(NMHDR *pNotifyStruct, LRESULT* pResult);
	double* MapRowToValue(int row);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREFERENCESDLG_H__E42A9827_1C70_4C4D_A234_4645C7FC5464__INCLUDED_)
