#ifndef _DISTVALUES_H
#define _DISTVALUES_H


#include "RngStream.h"
#include "math.h"
#include <iostream>
#include "time.h"

class DistValues {
public:
	double Box_Muller(double mean, double sigma);
    double RandU01();

	int RandInt(int i, int j);
    double calcValues(double Mean, double StDev, double Shape, int DistType);
    DistValues();
    virtual ~DistValues();

    double box_muller();

private:
    RngStream g[4];
    double PI;
    static int m_index;
	const double twopi;

};
#endif
