// FileHandler.h: interface for the FileHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEHANDLER_H__1D4DB653_00A1_4904_803E_A9AFD95DA75D__INCLUDED_)
#define AFX_FILEHANDLER_H__1D4DB653_00A1_4904_803E_A9AFD95DA75D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include <fstream>
#include "Truck.h"

class FileHandler  
{
public:
	std::vector<Truck*> loadTruckGroup(int no);
	virtual void writeLine(Vehicle *pVeh,const double curTime) = 0;
	virtual Truck* readLine() = 0;				// it needs to return vehicles not just trucks
	FileHandler();
	virtual ~FileHandler();

protected:
	std::ifstream inFile;
	std::ofstream outFile;
	std::vector<Truck*> m_Trucks;
	char* pTruck;
	char singleTruck[78];
};

#endif // !defined(AFX_FILEHANDLER_H__1D4DB653_00A1_4904_803E_A9AFD95DA75D__INCLUDED_)
