#ifndef _CONSTANTS_H
#define _CONSTANTS_H

#include "StdAfx.h"		// to handle the string coveriosn functions
#include "DistValues.h"
#include <vector>

//Vehicle properties

const double SPACE_MIN = 40.0;
const double SAFE_BRAKING = 12.0;
const double MIN_GAP = 3.0;

class Globals {
	
public:
	std::string g_dblToString(double d);
	std::string g_intToString(int d);
    double g_max(double a, double b);
	inline CString toCString(const std::string& str);
	inline std::string toStdString(const CString& cstr);

    Globals();

    virtual ~Globals();

	DistValues rand;
};
#endif
