#if !defined(AFX_PARAMETER_H__1F448E46_482F_4100_97E4_9A28DCF398AE__INCLUDED_)
#define AFX_PARAMETER_H__1F448E46_482F_4100_97E4_9A28DCF398AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Parameter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CParameter view

#include "Distribution.h"

class CParameter : public CObject
{
public:
	CParameter();
	virtual ~CParameter();
	CParameter(const CParameter& param);

	DECLARE_SERIAL(CParameter)

// Attributes
public:

// Operations
public:
	void Serialize(CArchive& ar);

	CParameter& operator=(const CParameter &param);

// Implementation
public:
	double Generate();
	void setID(WORD id);
	WORD getID() const;
	void setDistribution(CDistribution* dist);
	CDistribution* getDistribution();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

private:
	void SetDefaultParams();
	CDistribution m_Distribution;
	WORD m_ID;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IDMPARAMETER_H__1F448E46_482F_4100_97E4_9A28DCF398AE__INCLUDED_)
