#if !defined(AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_)
#define AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SimConfigDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSimConfigDlg dialog

#include "EvolveTrafficDoc.h"

class CSimConfigDlg : public CDialog
{
// Construction
public:
	CSimConfigDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSimConfigDlg)
	enum { IDD = IDD_SIMCONFIG };
	CString	m_FileIn;
	int		m_RoadLength;
	int		m_NoLanesDirPos;
	int		m_NoLanesDirNeg;
	int		m_FileType;
	int		m_SimTimeStep;
	int		m_TrafFileNoLanesDirPos;
	int		m_TrafFileNoLanesDirNeg;
	CString	m_FileOut;
	int		m_DriveSide;
	int		m_PosOutputDetectorDirPos;
	int		m_PosOutputDetectorDirNeg;
	BOOL	m_AllowLaneChanging;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL OnInitDialog();

	// Generated message map functions
	//{{AFX_MSG(CSimConfigDlg)
	afx_msg void OnBtnFileInPick();
	afx_msg void OnBtnFileOutPick();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnRadCastor();
	afx_msg void OnRadSaft();
	afx_msg void OnChangeEdtRoadlength();
	afx_msg void OnEditchangeCmbLanesdirPos();
	afx_msg void OnEditchangeCmbLanesdirNeg();
	afx_msg void OnChangeEdtSimtimestep();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_)
